Description

(previously #660)

It would be good if there was a way to temporarily override snapping, rather than having to turn it off for each layer in the snapping

options, and then turn it back on again for each layer.

According to the user manual the OpenStreetMap plugin disables snapping if you hold the ctrl key down while clicking, so it would

probably be good to do the same.  Would this interfere with any current behaviour?

A slightly different approach is what some CAD programs do - you toggle snapping on and off by pressing something like F3.  This

approach would probably require something in the status bar to display the current state - I guess there should be a checkbox in the

status bar, then you could also toggle it with the mouse.

History

#1 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#2 - 2012-10-06 02:18 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2013-03-11 01:02 AM - Giovanni Manghi

see also #7317

#4 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
